<!DOCTYPE html>
<html>
<head>
	<title>iframe</title>
</head>
<body>
	<p>hafadaus daushdsfdsha fuhasd fsdaihsdauhfdus haesd fdaushfdus huhusdhf dausfhui  sduhf s</p>



<!--<!DOCTYPE html>
<html>
<body>

<p>Click the button to open a new window and close the window after three seconds (3000 milliseconds)</p>

<button onclick="openWin()">Open "myWindow"</button>

<script>
function openWin() {
  var myWindow = window.open("", "myWindow", "width=200, height=100");
  myWindow.document.write("<p>This is 'myWindow'</p>");
  setTimeout(function(){ myWindow.close() }, 3000);
}

</script>

</body>
</html>-->

function myFunction() {
  var iframe = document.getElementById("myFrame");
  var x = iframe.contentWindow.document.getElementsByTagName("BODY")[0];
  var color=["red","black","white","blue","yellow","green","gray"];
  
   x.style.backgroundColor = color[Math.floor(Math.random()*7)];



// sleep time expects milliseconds
function sleep (time) {
  return new Promise((resolve) => setTimeout(resolve, time));
}


// Usage!
sleep(500).then(() => {
    // Do something after the sleep!
    myFunction();
});

</body>
</html>